Skip to main content
GET
/
coupon-list
Fetch All Coupon Lists
curl --request GET \
  --url https://api-0{dc}.moengage.com/v1/coupon-list \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'MOE-APPKEY: <moe-appkey>'
{
  "data": [
    {
      "name": "<string>",
      "label": "<string>",
      "expires_at": "<string>",
      "status": "<string>",
      "total_coupons": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "email_alert_subscribers": "<string>",
      "alert_conditions": {},
      "available_coupons": 123,
      "personalization_snippet": "<string>",
      "created_by": "<string>",
      "_id": "<string>"
    }
  ]
}
InformationThere is no request body or content to send for this request except for the headers and parameters.

Rate Limit

You can fetch 10,000 coupon lists per day.

Authorizations

Authorization
string
header
required

Uses Workspace ID as username and API Key as password.

Headers

MOE-APPKEY
string
required

This is the workspace ID (earlier APP ID) of your MoEngage workspace. The MOE-APPKEY has to be passed in the request. You can find your MoEngage Workspace ID in the MoEngage Dashboard: Settings -> Account -> APIs -> Workspace ID (earlier app id).

Query Parameters

status
enum<string>

This field contains an array of all the coupons with their respective attributes based on the following statuses you provide in the request parameter:

  • ACTIVE - to view only active coupon lists
  • ARCHIVED - to view only archived coupon lists
  • EXPIRED - to view only expired coupon lists

Note: Not specifying any status will display all the existing coupon lists together.

Available options:
ACTIVE,
ARCHIVED,
EXPIRED

Response

Success Indicates that the request is successful and all the active and/or archived coupon lists are fetched.

data
object[]